Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Interface Record

    public interface Record

This interface provides the method which is used to access database record.

Method Summary
`DbValue` | `getCell(DbColDesc desc)` Get a cell by the column description.
`DbValue` | `getCell(int i)` Get a cell at the index.
`DbValue` | `getCell(java.lang.String name)` Get a cell by the cell name.
`int` | `getRecordIndex()` Get the index of the record.
`DbValue[]` | `getValueArray()` Get all value to a DbValue array.
`int` | `indexOfCell(java.lang.String columnName)`
`void` | `refresh(boolean bWithoutGroup)` Refresh data from buffer.
`void` | `refresh(DbColDesc desc)`
`void` | `refresh(int colIndex)`
`void` | `refresh(java.lang.String name)`
`void` | `setRecordIndex(int index)` Set the index of the record.
`int` | `size()` Return the record cell numbers.
`void` | `update()` Update data to buffer.
`void` | `update(DbColDesc desc)`
`void` | `update(int colIndex)`
`void` | `update(java.lang.String name)`

Method Detail

### setRecordIndex

    void setRecordIndex(int index)

  Set the index of the record.

### getRecordIndex

    int getRecordIndex()

  Get the index of the record.

### getCell

    DbValue getCell(int i)

  Get a cell at the index.

### getCell

    DbValue getCell(DbColDesc desc)

  Get a cell by the column description.

### getValueArray

    DbValue[] getValueArray()

  Get all value to a DbValue array.

### getCell

    DbValue getCell(java.lang.String name)

  Get a cell by the cell name.

### size

    int size()

  Return the record cell numbers.

### indexOfCell

    int indexOfCell(java.lang.String columnName)

  Parameters:
    `columnName` -
  Returns:

### refresh

    void refresh(boolean bWithoutGroup)

  Refresh data from buffer.

  Parameters:
    `bWithoutGroup` - false refresh the group level column. true don't refresh the group level column.

### refresh

    void refresh(int colIndex)

### refresh

    void refresh(java.lang.String name)

### refresh

    void refresh(DbColDesc desc)

### update

    void update()

  Update data to buffer.

### update

    void update(int colIndex)

### update

    void update(java.lang.String name)

### update

    void update(DbColDesc desc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD